<?php

namespace Alive\Dm;

class Config {

    static function url() {
        return get_option('alive-dm-plugin-dm-url', '');
    }

    static function username() {
        return get_option('alive-dm-plugin-dm-username', '');
    }

    static function password() {
        return get_option('alive-dm-plugin-dm-password', '');
    }

    static function api_gateway_url() {
        return get_option('alive-dm-plugin-api-gateway-url', '');
    }

    static function api_access_key_id() {
        return get_option('alive-dm-plugin-api-access-key-id', '');
    }

    static function api_secret_access_key() {
        return get_option('alive-dm-plugin-api-secret-access-key', '');
    }

    static function ncdb_url() {
        return get_option('alive-dm-plugin-ncdb-url', '');
    }

    static function ncdb_username() {
        return get_option('alive-dm-plugin-ncdb-username', '');
    }

    static function ncdb_password() {
        return get_option('alive-dm-plugin-ncdb-password', '');
    }

    static function tenant_id() {
        return get_option('alive-dm-plugin-tenant-id', '');
    }

    static function twitter() {
        return get_option('alive-dm-plugin-twitter', '');
    }

    static function currency() {
        return get_option('alive-dm-plugin-currency', '$');
    }

    static function currency_pos() {
        return get_option('alive-dm-plugin-currency-pos', 1);
    }

    static function locale() {
        return get_locale();
    }

    static function map_provider() {
        return get_option('alive-dm-plugin-map-provider', 1);
    }

    static function google_api_key() {
        return get_option('alive-dm-plugin-google-api-key', '');
    }

    static function lat() {
        return get_option('alive-dm-plugin-latitude', 0);
    }

    static function lon() {
        return get_option('alive-dm-plugin-longitude', 0);
    }

    static function zoom() {
        return get_option('alive-dm-plugin-zoom', 8);
    }

    static function supported_card_types() {
        return ['isic', 'itic', 'iytc', 'alive', 'eyca', 'isic_scholar'];
    }

    static function admin_email() {
        return get_option('admin_email');
    }

    static function used_in_pages() {
        return array_map('trim', explode(',', get_option('alive-dm-plugin-used-in-pages')));
    }

    static function isic_url() {
        return get_option('alive-dm-plugin-isic-url', '');
    }

    static function isic_scholar_url() {
        return get_option('alive-dm-plugin-isic-scholar-url', '');
    }

    static function itic_url() {
        return get_option('alive-dm-plugin-itic-url', '');
    }

    static function iytc_url() {
        return get_option('alive-dm-plugin-iytc-url', '');
    }

    static function alive_url() {
        return get_option('alive-dm-plugin-alive-url', '');
    }

    static function eyca_url() {
        return get_option('alive-dm-plugin-eyca-url', '');
    }
}
